Bug 1537132 - Miq Server leaks memory and we fail to detect and remediate it
Summary: Miq Server leaks memory and we fail to detect and remediate it
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1533484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 14:02 UTC by Satoe Imaishi
Modified: 2018-06-25 14:17 UTC (History)
6 users (show)

(edit)
Clone Of: 1533484
(edit)
Last Closed: 2018-06-25 14:17:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Comment 1 Joe Rafaniello 2018-02-23 20:06:53 UTC
awaiting fine backport here: https://github.com/ManageIQ/manageiq/pull/16807

Comment 2 CFME Bot 2018-03-01 21:31:36 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ac5415750afe2fe2ee180beae4027fe3f0f4dc5b

commit ac5415750afe2fe2ee180beae4027fe3f0f4dc5b
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Jan 12 09:01:15 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 1 16:21:38 2018 -0500

    Merge pull request #16807 from jrafanie/exit_server_on_large_memory_usage
    
    Server shuts down if memory usage exceeds a limit
    (cherry picked from commit 39dfff4a5a9e8ee6f6b0d61ea945cdadb856620d)
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1537132

 app/models/miq_server.rb           | 21 +++++++++++++++++++++
 config/settings.yml                |  1 +
 db/fixtures/notification_types.yml |  5 +++++
 spec/models/miq_server_spec.rb     | 24 ++++++++++++++++++++++++
 4 files changed, 51 insertions(+)

Comment 3 Tasos Papaioannou 2018-05-10 18:56:04 UTC
Verified on 5.8.4.2.

Comment 5 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.